//
//  People.m
//  objc-test
//
//  Created by huangyirong on 2020/4/3.
//

#import "People.h"
#import <objc/message.h>

@implementation People


-(void)run{
    NSLog(@"执行了该方法");
}
-(void)run2{
    
}
+(BOOL)resolveInstanceMethod:(SEL)sel{
    NSLog(@"HHH");
    class_addMethod(self, sel, (IMP)mysel, "v@:");
    return [super resolveInstanceMethod:sel];
}
void mysel(){
    
}
@end
